summaryrefslogtreecommitdiffstats
path: root/system/john/john.SlackBuild
diff options
context:
space:
mode:
author Murat D. Kadirov2010-05-13 00:40:44 +0200
committer David Somero2010-05-13 00:40:44 +0200
commit19df9e90d87411710ecce171cc6a87b1eef0c9eb (patch)
tree1fd228118a9b3a83e964098bdb8ecde952e664d4 /system/john/john.SlackBuild
parent6ca94563da1b22ac4ec6dd2d228687fa59688cdc (diff)
downloadslackbuilds-19df9e90d87411710ecce171cc6a87b1eef0c9eb.tar.gz
system/john: Updated for version 1.7.3.1
Diffstat (limited to 'system/john/john.SlackBuild')
-rw-r--r--system/john/john.SlackBuild32
1 files changed, 19 insertions, 13 deletions
diff --git a/system/john/john.SlackBuild b/system/john/john.SlackBuild
index 57fcccd556..9993399dbc 100644
--- a/system/john/john.SlackBuild
+++ b/system/john/john.SlackBuild
@@ -7,7 +7,7 @@
PRGNAM=john
VERSION=${VERSION:-1.7.3.1}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -17,12 +17,16 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
COMPILE="make clean linux-x86-any"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
COMPILE="make clean linux-x86-sse2"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
COMPILE="make clean linux-x86-64"
+ LIBDIRSUFFIX="64"
elif [ "$ARCH" = "athlonxp" ]; then
COMPILE="make clean linux-x86-mmx"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -40,7 +44,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# DON'T APPLY BOTH PATHES AT THE SAME TIME !!
+# DON'T APPLY BOTH PATCHES AT THE SAME TIME !!
# Patch for John the Ripper to support MPI. MPI allows you to use multiple processors
# on a single system, or a cluster of systems for cracking passwords.
@@ -50,25 +54,27 @@ find . \
# and ciphers that are not supported by the official JtR.
#zcat $CWD/john-1.7.3.1-all-2.diff.gz | patch -p1 || exit 1
-( cd src
+cd src
$COMPILE
-)
+cd -
mkdir -p $PKG/usr/bin
-mkdir -p $PKG/usr/lib/$PRGNAM
-cp -a $TMP/$PRGNAM-$VERSION/run/* $PKG/usr/lib/$PRGNAM
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM
+cp -a $TMP/$PRGNAM-$VERSION/run/* $PKG/usr/lib${LIBDIRSUFFIX}/$PRGNAM
# wrapper
-cat << "EOF" > $PKG/usr/bin/john
-#!/bin/bash
+cat << EOF > $PKG/usr/bin/john
+#!/bin/sh
# John The Ripper launcher
-/usr/lib/john/john $@
+/usr/lib${LIBDIRSUFFIX}/john/john "\$@"
EOF
-chmod +x $PKG/usr/bin/john
+chmod 0755 $PKG/usr/bin/john
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
@@ -79,4 +85,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}